Package de.willuhn.jameica.hbci.server

# Class HBCIUpdateProvider

java.lang.Object
de.willuhn.jameica.hbci.server.HBCIUpdateProvider

All Implemented Interfaces:
  `de.willuhn.sql.version.UpdateProvider`

public class HBCIUpdateProvider extends Object implements de.willuhn.sql.version.UpdateProvider
Implementierung eines Update-Providers fuer Hibiscus.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`HBCIUpdateProvider(Connection conn, Version version)`
ct

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
`int`
`getCurrentVersion()`
`de.willuhn.util.ProgressMonitor`
`getProgressMonitor()`
`de.willuhn.jameica.plugin.PluginResources`
`getResources()`
Liefert die Plugin-Ressourcen.
`File`
`getUpdatePath()`
`void`
`setNewVersion(int newVersion)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIUpdateProvider

protected HBCIUpdateProvider(Connection conn, Version version)
ct

Parameters:
  `conn` - Datenbank-Verbindung.
  `version` - Version der Datenbank.

## Method Details

### getConnection

public Connection getConnection() throws de.willuhn.util.ApplicationException

Specified by:
  `getConnection` in interface `de.willuhn.sql.version.UpdateProvider`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `UpdateProvider.getConnection()`

### getCurrentVersion

public int getCurrentVersion() throws de.willuhn.util.ApplicationException

Specified by:
  `getCurrentVersion` in interface `de.willuhn.sql.version.UpdateProvider`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `UpdateProvider.getCurrentVersion()`

### getProgressMonitor

public de.willuhn.util.ProgressMonitor getProgressMonitor()

Specified by:
  `getProgressMonitor` in interface `de.willuhn.sql.version.UpdateProvider`
See Also:
  - `UpdateProvider.getProgressMonitor()`

### getUpdatePath

public File getUpdatePath() throws de.willuhn.util.ApplicationException

Specified by:
  `getUpdatePath` in interface `de.willuhn.sql.version.UpdateProvider`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `UpdateProvider.getUpdatePath()`

### setNewVersion

public void setNewVersion(int newVersion) throws de.willuhn.util.ApplicationException

Specified by:
  `setNewVersion` in interface `de.willuhn.sql.version.UpdateProvider`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `UpdateProvider.setNewVersion(int)`

### getResources

public de.willuhn.jameica.plugin.PluginResources getResources()
Liefert die Plugin-Ressourcen.

Returns:
  die Plugin-Ressourcen.